Bug 181002 - Initscripts change breaks non-RH kernel boot
Initscripts change breaks non-RH kernel boot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-11 06:53 EST by Reuben Farrelly
Modified: 2014-03-16 22:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: 8.29-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-13 15:59:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Reuben Farrelly 2006-02-11 06:53:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20060210 Firefox/1.6a1

Description of problem:
This change in initscripts-8.26:

- don't mount /sys and /proc in rc.sysinit - the initrd already does
  (<pjones@redhat.com>)

causes breakage on non RH kernels.  Reverting to 8.25 and the problem goes away.

Here's the output of a failed boot with 8.26 using a vanilla kernel:

VFS: Mounted root (reiserfs filesystem) readonly.
Freeing unused kernel memory: 196k freed
Write protecting the kernel read-only data: 358k
INIT: version 2.86 booting
awk: cmd. line:1: fatal: cannot open file `/proc/mounts' for reading (No such file or directory)
                Welcome to Fedora Core
                Press 'I' to enter interactive startup.
Setting clock  (utc): Sun Feb 12 00:40:46 NZDT 2006 [  OK  ]
cat: /proc/cmdline: No such file or directory
Setting hostname tornado.reub.net:  [  OK  ]
mdadm: failed to create /dev/md1
mdadm: failed to create /dev/md4

ERROR: finding sysfs mount point
ERROR: No arguments allowed with -i
ERROR: finding sysfs mount point
ERROR: No arguments allowed with -i
ERROR: finding sysfs mount point
ERROR: No arguments allowed with -i
ERROR: finding sysfs mount point
ERROR: No arguments allowed with -i

Checking filesystems
Checking all file systems.
[/sbin/fsck.ext3 (1) -- /boot] fsck.ext3 -a /dev/sda1 
/dev/sda1: clean, 36/6024 files, 8360/24064 blocks
[  OK  ]
fgrep: /proc/mounts: No such file or directory
awk: cmd. line:1: fatal: cannot open file `/proc/mounts' for reading (No such file or directory)
Remounting root filesystem in read-write mode:  [  OK  ]
Mounting local filesystems:  mount: special device /dev/md1 does not exist
mount: special device /dev/md4 does not exist
mount: special device /dev/sdc1 does not exist
[FAILED]
touch: setting times of `/var/log/wtmp': Function not implemented
Enabling swap space:  [  OK  ]



Version-Release number of selected component (if applicable):
initscripts-8.26-1

How reproducible:
Always

Steps to Reproduce:
1. Install initscripts-8.26
2. Boot a non-FC non-initrd kernel
3. Reboot
  

Actual Results:  Failed to boot

Additional info:

I don't think that blindly assuming that they are always mounted via initrd is a good idea.  In my case I often build kernels which do not require any modules be loaded until well after the box has started booting.

A good fix IMHO would be to test to see if /sysfs and /proc had already been mouted in the initrd.  If they had then continue on, else if not, mount them.
The impact on testing this before assuming would be small.

If this is not going to change then it should at least be documented in the release notes for FC5.
Comment 1 Bill Nottingham 2006-02-13 15:59:52 EST
Will put something back in 8.29-1, *and* document in the relnotes that booting
without initrd is deprecated, and may be removed in a later release.

Note You need to log in before you can comment on or make changes to this bug.